# file::get-creation-time

Returns the creation date and time of the specified file.

### Usage

`datetime file::get-creation-time(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The file for which to obtain creation date and time information.

### Return Value

The creation date and time of the specified file.

### Exceptions

The function will fail in any of the following circumstances:

- The specified file does not exist.
- path is a zero-length string, contains only white space, or contains one or more invalid characters.
- The specified path, file name, or both exceed the system-defined maximum length.
- The path parameter is in an invalid format.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)